[arch-commits] Commit in libgnomecups/trunk (2 files)
Giovanni Scafora
giovanni at archlinux.org
Tue Nov 24 12:10:23 UTC 2009
Date: Tuesday, November 24, 2009 @ 07:10:23
Author: giovanni
Revision: 59547
upgpkg: libgnomecups 0.2.3-6
Added patch to avoid huge IPP request failed with status 1030 lines
Added:
libgnomecups/trunk/libgnomecups_0.2.3-ignore-ipp-not-found.patch
Modified:
libgnomecups/trunk/PKGBUILD
-----------------------------------------------+
PKGBUILD | 16 ++++++++++------
libgnomecups_0.2.3-ignore-ipp-not-found.patch | 11 +++++++++++
2 files changed, 21 insertions(+), 6 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-11-24 11:45:36 UTC (rev 59546)
+++ PKGBUILD 2009-11-24 12:10:23 UTC (rev 59547)
@@ -4,20 +4,24 @@
pkgname=libgnomecups
pkgver=0.2.3
-pkgrel=5
+pkgrel=6
pkgdesc="GNOME cups library"
arch=(i686 x86_64)
license=('LGPL' 'GPL')
url="http://www.gnome.org"
-depends=('libcups>=1.4.2-2' 'glib2>=2.16.4' 'heimdal>=1.3.1' 'gnutls>=2.4.1')
+depends=('libcups>=1.3.8-2' 'glib2>=2.16.4' 'heimdal>=1.3.1' 'gnutls>=2.4.1')
makedepends=('perlxml')
options=(!libtool)
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/0.2/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('dc4920c15c9f886f73ea74fbff0ae48b')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/0.2/${pkgname}-${pkgver}.tar.bz2
+ libgnomecups_0.2.3-ignore-ipp-not-found.patch)
+md5sums=('dc4920c15c9f886f73ea74fbff0ae48b'
+ '973a1b9d93013ce431400a14b78f5d94')
build() {
- cd ${startdir}/src/${pkgname}-${pkgver}
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ # This avoids generating huge 'IPP request failed with status 1030' lines
+ patch -Np1 -i ${srcdir}/libgnomecups_0.2.3-ignore-ipp-not-found.patch || return 1
./configure --prefix=/usr || return 1
make || return 1
- make DESTDIR=${startdir}/pkg install || return 1
+ make DESTDIR="${pkgdir}" install || return 1
}
Added: libgnomecups_0.2.3-ignore-ipp-not-found.patch
===================================================================
--- libgnomecups_0.2.3-ignore-ipp-not-found.patch (rev 0)
+++ libgnomecups_0.2.3-ignore-ipp-not-found.patch 2009-11-24 12:10:23 UTC (rev 59547)
@@ -0,0 +1,11 @@
+--- a/libgnomecups/gnome-cups-request.c 2007-01-31 10:49:17.000000000 -0800
++++ b/libgnomecups/gnome-cups-request.c 2009-11-24 12:49:30.000000000 -0800
+@@ -349,7 +349,7 @@
+ if (request->response == NULL)
+ status = IPP_INTERNAL_ERROR;
+
+- if (status > IPP_OK_CONFLICT) {
++ if (status > IPP_OK_CONFLICT && status != IPP_NOT_FOUND) {
+ g_warning ("IPP request failed with status %d", status);
+ if (request->error != NULL)
+ *(request->error) = g_error_new (GNOME_CUPS_ERROR,
More information about the arch-commits
mailing list